Subject: IPP> I-D ACTION:draft-luotonen-web-proxy-tunneling-00.txt

From: Carl-Uno Manros <[email-masked]>
Date: Thu, 26 Feb 1998 09:09:42 PST

FYI,

Carl-Uno

>To: [email-masked]
>From: [email-masked]
>Reply-to: [email-masked]
>Subject: I-D ACTION:draft-luotonen-web-proxy-tunneling-00.txt
>Date: Thu, 26 Feb 1998 06:26:42 PST
>Sender: [email-masked]
>
>A New Internet-Draft is available from the on-line Internet-Drafts
directories.
>
>
>	Title		: Tunneling TCP based protocols through Web proxy servers
>	Author(s)	: A. Luotonen
>	Filename	: draft-luotonen-web-proxy-tunneling-00.txt
>	Pages		: 9
>	Date		: 25-Feb-98
>	
>   This document specifies a generic tunneling mechanism for TCP based
>   protocols through Web proxy servers.  This tunneling mechanism was
>   initially introduced for the SSL protocol [SSL] to allow secure Web
>   traffic to pass through firewalls, but its utility is not limited to
>   SSL.  Earlier drafts of this specification were titled ''Tunneling SSL
>   through Web Proxy Servers'' <draft-luotonen-ssl-tunneling-XX.txt>.
>   Implementations of this tunneling feature are commonly referred to as
>   ''SSL tunneling'', although, again, it can be used for tunneling any
>   TCP based protocol.
> 
>   A wide variety of existing client and proxy server implementations
>   conform to this specification.  The purpose of this specification is
>   to describe the current practice, to propose some good practices for
>   implementing this specification, and to document the security
>   considerations that are involved with this protocol.
>
>Internet-Drafts are available by anonymous FTP.  Login with the username
>"anonymous" and a password of your e-mail address.  After logging in,
>type "cd internet-drafts" and then
>	"get draft-luotonen-web-proxy-tunneling-00.txt".
>A URL for the Internet-Draft is:
>ftp://ftp.ietf.org/internet-drafts/draft-luotonen-web-proxy-tunneling-00.txt
>
>Internet-Drafts directories are located at:
>
>	Africa:	ftp.is.co.za
>	
>	Europe: ftp.nordu.net
>		ftp.nis.garr.it
>			
>	Pacific Rim: munnari.oz.au
>	
>	US East Coast: ds.internic.net
>	
>	US West Coast: ftp.isi.edu
>
>Internet-Drafts are also available by mail.
>
>Send a message to:	[email-masked].  In the body type:
>	"FILE /internet-drafts/draft-luotonen-web-proxy-tunneling-00.txt".
>	
>NOTE:	The mail server at ds.internic.net can return the document in
>	MIME-encoded form by using the "mpack" utility.  To use this
>	feature, insert the command "ENCODING mime" before the "FILE"
>	command.  To decode the response(s), you will need "munpack" or
>	a MIME-compliant mail reader.  Different MIME-compliant mail readers
>	exhibit different behavior, especially when dealing with
>	"multipart" MIME messages (i.e. documents which have been split
>	up into multiple messages), so check your local documentation on
>	how to manipulate these messages.
>		
>		
>Below is the data which will enable a MIME compliant mail reader
>implementation to automatically retrieve the ASCII version of the
>Internet-Draft.
>
><ftp://ftp.ietf.org/internet-drafts/draft-luotonen-web-proxy-tunneling-00.t
xt>
Carl-Uno Manros
Principal Engineer - Advanced Printing Standards - Xerox Corporation
701 S. Aviation Blvd., El Segundo, CA, M/S: ESAE-231
Phone +1-310-333 8273, Fax +1-310-333 5514
Email: [email-masked]